GET api/contractItemapi/contractItem/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
ContractItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| item_code | string |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| contract_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"item_code": "sample string 1",
"selected_sticker_id": "31ad14a0-d4f7-4c47-97ea-4b13df6f2fd3",
"selected_nameplate_id": "f67f10f8-f0f6-4d0a-931c-3cf355d483c9",
"active": true,
"contract_id": "c80898d5-9dc3-4d58-bce7-ace6256f2b65",
"id": "c8f86652-854f-460b-b0a6-052cb833c1de",
"physical_item_id": "26a10bb6-5adf-4ac1-b50e-56b6e614edb9",
"service_item_id": "ef06af20-df2a-4b97-8a69-3297291abb0c",
"item_wash_max": 1,
"quantity": 1
}
application/xml, text/xml
Sample:
<contract_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<contract_id>c80898d5-9dc3-4d58-bce7-ace6256f2b65</contract_id>
<id>c8f86652-854f-460b-b0a6-052cb833c1de</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>26a10bb6-5adf-4ac1-b50e-56b6e614edb9</physical_item_id>
<quantity>1</quantity>
<service_item_id>ef06af20-df2a-4b97-8a69-3297291abb0c</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>f67f10f8-f0f6-4d0a-931c-3cf355d483c9</selected_nameplate_id>
<selected_sticker_id>31ad14a0-d4f7-4c47-97ea-4b13df6f2fd3</selected_sticker_id>
</contract_item>